## kajongg 18.04.1

=== CMakeLists.txt ===
# vim: set expandtab shiftwidth=4 softtabstop=4:

project(kajongg)

cmake_minimum_required(VERSION 2.8.12)
set(PYTHON_MIN_VERSION "3.5.0")
set(QT_MIN_VERSION "5.2")
set(KF5_MIN_VERSION "5.15.0")
set(TWISTED_MIN_VERSION "16.6.0")

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
    
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(PythonInterp ${PYTHON_MIN_VERSION} REQUIRED)
find_package(Twisted ${TWISTED_MIN_VERSION} REQUIRED)
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config DocTools)

include(FeatureSummary)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(ECMInstallIcons)
include(KDECMakeSettings)

include(FindPythonInterp)

include(KDEPython)

set(PROJECT_NAME kajongg)

add_subdirectory( voices )
add_subdirectory( doc )
add_subdirectory( icons )

set(SRCFILES
    src/permutations.py
    src/about.py
    src/animation.py
    src/mjresource.py
    src/background.py
    src/backgroundselector.py
    src/board.py
    src/chat.py
    src/handboard.py
    src/message.py
    src/client.py
    src/intelligence.py
    src/altint.py
    src/common.py
    src/wind.py
    src/rand.py
    src/config.py
    src/kdestub.py
    src/deferredutil.py
    src/differ.py
    src/meld.py
    src/player.py
    src/game.py
    src/games.py
    src/genericdelegates.py
    src/guiutil.py
    src/humanclient.py
    src/mi18n.py
    src/login.py
    src/kde.py
    src/dialogs.py
    src/mainwindow.py
    src/move.py
    src/modeltest.py
    src/playerlist.py
    src/predefined.py
    src/qtreactor.py
    src/query.py
    src/rulesetselector.py
    src/hand.py
    src/rule.py
    src/rulecode.py
    src/scene.py
    src/scoringdialog.py
    src/scoring.py
    src/user.py
    src/servertable.py
    src/servercommon.py
    src/server.py
    src/sound.py
    src/tables.py
    src/tile.py
    src/uitile.py
    src/tileset.py
    src/tilesetselector.py
    src/tree.py
    src/statesaver.py
    src/wall.py
    src/uiwall.py
    src/visible.py
    src/log.py
    src/qt.py
    src/configdialog.py
    src/tilesource.py
    src/util.py)

set(DATAFILES
    src/tilesetselector.ui
    src/backgroundselector.ui
    src/kajonggui.rc)

find_package(KF5KMahjongglib REQUIRED)

# In KDE4, this was done with PYKDE4_INSTALL_PYTHON_FILES and PYKDE4_ADD_EXECUTABLE
# because including PYKDE4 does not seem appropriate when not using PYKDE4 bindings,
# I expanded those macros, reducing to what we actually need. No Windows support here yet.
# Those macros come from ./cmake-modules/KDEPython.cmake


configure_file(src/kdepaths.py.in src/kdepaths.py)

KDE_INSTALL_PYTHON_FILES(${SRCFILES} src/kajongg.py src/kajonggserver.py)
KDE_INSTALL_PYTHON_FILES(${CMAKE_CURRENT_BINARY_DIR}/src/kdepaths.py)
KDE_ADD_PYTHON_EXECUTABLE(kajongg.py kajongg)
KDE_ADD_PYTHON_EXECUTABLE(kajonggserver.py kajonggserver)

install(FILES ${DATAFILES} DESTINATION ${DATA_INSTALL_DIR}/kajongg)

install(PROGRAMS org.kde.kajongg.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kajongg.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
find_package(KF5 REQUIRED COMPONENTS I18n)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()
include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory(po)

=== debian/changelog ===
kajongg (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 May 2018 02:29:32 +0200

kajongg (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update Vcs fields
  * New upstream release (17.08.0):
    - switches to PyQt5 (Closes: #874924, #864965)
  * Update watch file, add upstream signature
  * Update build-deps and deps with the info from cmake
  * Maybe it's supposed be build using the setup.py
  * Add patch: Fix-icons-path.patch
  * Let's try again with cmake
  * Add patch: don-t-set-the-prefix-twice.patch
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Add missing breaks/replaces against the kde-l10n packages
  * Rediff patches
  * Update runtime dependencies
  * Update uploaders list as requested by MIA team (Closes: #879308)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Switch from plain dh to dhmk.
  * Remove unused appstream and libkf5kdelibs4support5-bin build dependencies.
  * Switch the BIN_INSTALL_DIR cmake variable to KDE_INSTALL_BINDIR.
  * Drop debian/not-installed, no more useful now.
  * Drop Debian-only man page altogether: upstream does not provide any, and
    our versions are not properly kept up-to-date. (Closes: #883727)
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:08:54 +0100

=== debian/control ===
Source: kajongg
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               dh-python,
               extra-cmake-modules (>= 1.2.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5i18n-dev,
               libkf5kmahjongglib-dev,
               libqt5svg5-dev (>= 5.2~),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               python3 (>= 3.5.0~),
               python3-twisted (>= 16.6.0~),
               qtbase5-dev (>= 5.2~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kajongg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kajongg.git

Package: kajongg
Architecture: all
Depends: kdegames-mahjongg-data-kf5,
         python3-pyqt5.qtsvg,
         python3-twisted (>= 16.6.0~),
         ${misc:Depends},
         ${python3:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: khelpcenter
Description: classical Mah Jongg game
 This is the classical Mah Jongg for four players.
 If you are looking for the Mah Jongg solitaire please use the application
 kmahjongg.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~
dh = --with python3

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_python3:
	$(overridden_command) /usr/share/kajongg

## kajongg 18.04.3

=== debian/changelog ===
kajongg (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/not-installed: Remove as no longer needed
  * Stop shipping out of date debian only manpages
  * Update watchfile
  * Set Kubuntu vcs fields

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:14:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,31 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
+           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
+Build-Depends: appstream,
+               cmake (>= 2.8.12~),
+               debhelper (>= 10),
                dh-python,
                extra-cmake-modules (>= 1.2.0~),
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev,
-               libkf5kmahjongglib-dev,
+               libkf5kdelibs4support5-bin,
+               libkf5kmahjongglib-dev (>= 4:18.04.3~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),
                python3 (>= 3.5.0~),
                python3-twisted (>= 16.6.0~),
                qtbase5-dev (>= 5.2~),
-Standards-Version: 4.1.4
+Standards-Version: 4.1.0
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kajongg
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kajongg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
 
 Package: kajongg
 Architecture: all

## kajongg 18.12.3

=== debian/changelog ===
kajongg (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:25:36 +0000

kajongg (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:12:59 +0000

kajongg (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:24 +0000

kajongg (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * debian/rules: Revert from dhmk to dh. Fixes CI builds.
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:03 +0000

kajongg (4:18.08.3-0ubuntu2) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/tests: Ensure tests are run with python3.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 13:55:52 +0000

kajongg (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 10:51:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,25 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: appstream,
-               cmake (>= 2.8.12~),
-               debhelper (>= 10),
+Build-Depends: cmake (>= 2.8.12~),
+               debhelper (>= 11),
                dh-python,
                extra-cmake-modules (>= 1.2.0~),
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev,
-               libkf5kdelibs4support5-bin,
-               libkf5kmahjongglib-dev (>= 4:18.04.3~),
+               libkf5kmahjongglib-dev (>= 4:18.12.3~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),
                python3 (>= 3.5.0~),
                python3-twisted (>= 16.6.0~),
                qtbase5-dev (>= 5.2~),
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Homepage: http://games.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg

## kajongg 19.04.3

=== debian/changelog ===
kajongg (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:15 +0100

kajongg (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:01:08 +0100

kajongg (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:17 +0100

kajongg (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:40:40 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev,
-               libkf5kmahjongglib-dev (>= 4:18.12.3~),
+               libkf5kmahjongglib-dev (>= 4:19.04.3~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),

## kajongg 19.12.3

=== po/CMakeLists.txt ===
add_subdirectory(de/data/kajongg)

=== debian/changelog ===
kajongg (4:19.12.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Bump apps build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Mar 2020 08:51:54 +0000

kajongg (4:19.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - explicitly add gettext
  * Remove the empty line at the end of changelog.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and python3 addons
    - manually force the generation of the substvars for the kde-l10n breaks
    - call the right debhelper command instead of $(overridden_command)
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 11 Mar 2020 20:20:36 +0100

kajongg (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:05:43 +0000

kajongg (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.
  * Skip building for tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:17:08 +0000

kajongg (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:51:04 +0000

kajongg (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:44:36 +0000

kajongg (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:29:22 +0000

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,22 @@
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                dh-python,
                extra-cmake-modules (>= 1.2.0~),
+               gettext,
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev,
-               libkf5kmahjongglib-dev (>= 4:19.04.3~),
+               libkf5kmahjongglib-dev (>= 4:19.12.3~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),
                python3 (>= 3.5.0~),
                python3-twisted (>= 16.6.0~),
                qtbase5-dev (>= 5.2~),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://games.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,python3

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_python3:
	dh_python3 /usr/share/kajongg

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kajongg 20.08.2

=== debian/changelog ===
kajongg (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:27 +0100

kajongg (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:49:54 +0100

kajongg (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Export PYTHONDONTWRITEBYTECODE=1 to disable the compilation of the Python
    bytecode at build time, as it is discarded anyway.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 09:15:25 +0200

kajongg (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add Rules-Requires-Root: no.
  * Replace the patch Use-DESTDIR-on-install.patch, as most of its changes
    were fixed upstream, with use-absolute-install-paths.diff, to fix the
    symlink creation with absolute installation paths specified at cmake time.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Aug 2020 09:54:50 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                extra-cmake-modules (>= 1.2.0~),
                gettext,
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev,
-               libkf5kmahjongglib-dev (>= 4:19.12.3~),
+               libkf5kmahjongglib-dev (>= 4:20.08.1~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),
@@ -24,9 +24,10 @@
                python3-twisted (>= 16.6.0~),
                qtbase5-dev (>= 5.2~),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kajongg
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kajongg.git
 
 Package: kajongg
 Architecture: all

## kajongg 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,22 @@
 # vim: set expandtab shiftwidth=4 softtabstop=4:
+cmake_minimum_required (VERSION 3.5)
 
-project(kajongg)
+# Release Service version, managed by release script
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-cmake_minimum_required(VERSION 2.8.12)
+project(kajongg VERSION ${RELEASE_SERVICE_VERSION})
+
 set(PYTHON_MIN_VERSION "3.5.0")
 set(QT_MIN_VERSION "5.2")
 set(KF5_MIN_VERSION "5.15.0")
 set(TWISTED_MIN_VERSION "16.6.0")
 
-find_package(ECM 1.2.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
     
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules ${ECM_MODULE_PATH})
 
 find_package(PythonInterp ${PYTHON_MIN_VERSION} REQUIRED)
 find_package(Twisted ${TWISTED_MIN_VERSION} REQUIRED)
@@ -18,8 +24,6 @@
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config DocTools)
 
 include(FeatureSummary)
-include(ECMPackageConfigHelpers)
-include(ECMSetupVersion)
 include(KDEInstallDirs)
 include(ECMInstallIcons)
 include(KDECMakeSettings)
@@ -113,11 +117,14 @@
 # I expanded those macros, reducing to what we actually need. No Windows support here yet.
 # Those macros come from ./cmake-modules/KDEPython.cmake
 
-
+# generating appversion.py 2x, once for toplevel setup ,once for app in src/ itself
+configure_file(src/appversion.py.in appversion.py)
+configure_file(src/appversion.py.in src/appversion.py)
 configure_file(src/kdepaths.py.in src/kdepaths.py)
 
 KDE_INSTALL_PYTHON_FILES(${SRCFILES} src/kajongg.py src/kajonggserver.py)
 KDE_INSTALL_PYTHON_FILES(${CMAKE_CURRENT_BINARY_DIR}/src/kdepaths.py)
+KDE_INSTALL_PYTHON_FILES(${CMAKE_CURRENT_BINARY_DIR}/src/appversion.py)
 KDE_ADD_PYTHON_EXECUTABLE(kajongg.py kajongg)
 KDE_ADD_PYTHON_EXECUTABLE(kajonggserver.py kajonggserver)
 
@@ -132,5 +139,3 @@
 if (KF5DocTools_FOUND)
  kdoctools_install(po)
 endif()
-include(ECMOptionalAddSubdirectory)
-ecm_optional_add_subdirectory(po)

=== debian/changelog ===
kajongg (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.15.0
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 23:10:45 +0100

kajongg (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Mon, 16 Nov 2020 10:28:39 +0100

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,19 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                dh-python,
-               extra-cmake-modules (>= 1.2.0~),
+               extra-cmake-modules (>= 5.15.0~),
                gettext,
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev,
-               libkf5kmahjongglib-dev (>= 4:20.08.1~),
+               libkf5kmahjongglib-dev,
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),
                python3 (>= 3.5.0~),
                python3-twisted (>= 16.6.0~),
                qtbase5-dev (>= 5.2~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kajongg

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 l10npkgs_firstversion_ok := 4:16.04.3-7~
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
+
+# disable the compilation of the Python bytecode at build time,
+# as it is built at installation time, and removed by dh_python3 anyway
+export PYTHONDONTWRITEBYTECODE=1
 
 %:
 	dh $@ --with kf5,python3

## kajongg 20.12.3

=== debian/changelog ===
kajongg (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:16:17 +0000

kajongg (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:50:41 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev,
-               libkf5kmahjongglib-dev,
+               libkf5kmahjongglib-dev (>= 4:20.12.3~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),

## kajongg 21.08.1

=== debian/changelog ===
kajongg (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:46 +0100

kajongg (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:58:57 +0100

kajongg (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:51:32 +0100

kajongg (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:31:07 +0100

kajongg (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:39:46 +0100

kajongg (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:36:06 +0100

kajongg (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:02:54 +0100

kajongg (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:30:54 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev,
-               libkf5kmahjongglib-dev (>= 4:20.12.3~),
+               libkf5kmahjongglib-dev (>= 4:21.08.1~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),

## kajongg 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required (VERSION 3.5)
 
 # Release Service version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kajongg VERSION ${RELEASE_SERVICE_VERSION})
@@ -128,7 +128,7 @@
 KDE_ADD_PYTHON_EXECUTABLE(kajongg.py kajongg)
 KDE_ADD_PYTHON_EXECUTABLE(kajonggserver.py kajonggserver)
 
-install(FILES ${DATAFILES} DESTINATION ${DATA_INSTALL_DIR}/kajongg)
+install(FILES ${DATAFILES} DESTINATION ${KDE_INSTALL_DATADIR}/kajongg)
 
 install(PROGRAMS org.kde.kajongg.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.kajongg.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kajongg (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:07:11 +0000

kajongg (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:13:41 +0000

kajongg (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:21:34 +0000

kajongg (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:18:24 +0000

kajongg (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:02:33 +0000

kajongg (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:13:55 +0000

kajongg (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:23:15 +0000

kajongg (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:37:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kajongg
 Section: games
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -16,7 +17,7 @@
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev,
-               libkf5kmahjongglib-dev (>= 4:21.08.1~),
+               libkf5kmahjongglib-dev (>= 4:21.12.3~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),
@@ -26,8 +27,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kajongg
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kajongg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
 
 Package: kajongg
 Architecture: all

## kajongg 22.08.1

=== debian/changelog ===
kajongg (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:42 +0100

kajongg (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:55 +0100

kajongg (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:16 +0100

kajongg (4:22.04.2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build dpend on 22.04.2 packages.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jun 2022 06:05:14 +0100

kajongg (4:22.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add the python3-qtpy dependency, needed now.
  * Update the patches:
    - Fix-icons-path.patch: refresh

 -- Pino Toscano <pino@debian.org>  Sat, 11 Jun 2022 06:44:22 +0200

kajongg (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:02 +0100

kajongg (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:55:02 +0100

kajongg (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:44:36 +0100

kajongg (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.0, no changes needed.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Rename docs to kajongg.docs, to make it more explicit to which package it
    refers to.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:10:42 +0100

kajongg (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:46:42 +0900

kajongg (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:51:43 +0900

=== debian/control ===
Source: kajongg
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 5.15.0~),
               gettext,
               libkf5config-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5i18n-dev,
               libkf5kmahjongglib-dev (>= 4:22.08.1~),
               libqt5svg5-dev (>= 5.2~),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               python3 (>= 3.5.0~),
               python3-twisted (>= 16.6.0~),
               qtbase5-dev (>= 5.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg

Package: kajongg
Architecture: all
Depends: kdegames-mahjongg-data-kf5,
         python3-pyqt5.qtsvg,
         python3-qtpy,
         python3-twisted (>= 16.6.0~),
         ${misc:Depends},
         ${python3:Depends},
Recommends: khelpcenter
Description: classical Mah Jongg game
 This is the classical Mah Jongg for four players.
 If you are looking for the Mah Jongg solitaire please use the application
 kmahjongg.
 .
 This package is part of the KDE games module.

## kajongg 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required (VERSION 3.5)
 
 # Release Service version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
@@ -21,7 +21,7 @@
 find_package(PythonInterp ${PYTHON_MIN_VERSION} REQUIRED)
 find_package(Twisted ${TWISTED_MIN_VERSION} REQUIRED)
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg Widgets)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config DocTools)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config DocTools I18n)
 
 include(FeatureSummary)
 include(KDEInstallDirs)
@@ -40,7 +40,6 @@
 
 set(SRCFILES
     src/permutations.py
-    src/about.py
     src/animation.py
     src/mjresource.py
     src/background.py
@@ -103,7 +102,8 @@
     src/qt.py
     src/configdialog.py
     src/tilesource.py
-    src/util.py)
+    src/util.py
+    src/kajcsv.py)
 
 set(DATAFILES
     src/tilesetselector.ui
@@ -130,12 +130,10 @@
 
 install(FILES ${DATAFILES} DESTINATION ${KDE_INSTALL_DATADIR}/kajongg)
 
-install(PROGRAMS org.kde.kajongg.desktop DESTINATION ${KDE_INSTALL_APPDIR})
+install(FILES org.kde.kajongg.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.kajongg.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
+ki18n_install(po)
+kdoctools_install(po)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-find_package(KF5 REQUIRED COMPONENTS I18n)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== debian/changelog ===
kajongg (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:11 +0100

kajongg (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:59:37 +0100

kajongg (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Refresh patches.
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:23 +0100

=== debian/control ===
Source: kajongg
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 5.15.0~),
               gettext,
               libkf5config-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5kmahjongglib-dev,
               libqt5svg5-dev (>= 5.2~),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               python3 (>= 3.5.0~),
               python3-twisted (>= 16.6.0~),
               qtbase5-dev (>= 5.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kajongg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kajongg.git

Package: kajongg
Architecture: all
Depends: kdegames-mahjongg-data-kf5,
         python3-pyqt5.qtsvg,
         python3-qtpy,
         python3-twisted (>= 16.6.0~),
         ${misc:Depends},
         ${python3:Depends},
Recommends: khelpcenter,
Description: classical Mah Jongg game
 This is the classical Mah Jongg for four players.
 If you are looking for the Mah Jongg solitaire please use the application
 kmahjongg.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

# disable the compilation of the Python bytecode at build time,
# as it is built at installation time, and removed by dh_python3 anyway
export PYTHONDONTWRITEBYTECODE=1

%:
	dh $@ --with kf5,python3

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_python3:
	dh_python3 /usr/share/kajongg

## kajongg 23.08.0

=== debian/changelog ===
kajongg (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:56 +0100

kajongg (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:56 +0100

kajongg (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:43:11 +0100

kajongg (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:54:20 +0100

kajongg (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:35:00 +0000

kajongg (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:11:52 -0600

kajongg (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:12:00 +0000

kajongg (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkf5kmahjongglib-dev (>= 4:22.12.0~))

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 19:01:50 +0000

kajongg (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:05:56 +0000

kajongg (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:02:20 +0000

kajongg (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update use-absolute-install-paths.diff

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 11:15:40 +0000

kajongg (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:05:57 +0000

=== debian/control ===
Source: kajongg
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 5.15.0~),
               gettext,
               libkf5config-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5kmahjongglib-dev (>= 4:23.08.0~),
               libqt5svg5-dev (>= 5.2~),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               python3 (>= 3.5.0~),
               python3-twisted (>= 16.6.0~),
               qtbase5-dev (>= 5.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kajongg

Package: kajongg
Architecture: all
Depends: kdegames-mahjongg-data-kf5,
         python3-pyqt5.qtsvg,
         python3-qtpy,
         python3-twisted (>= 16.6.0~),
         ${misc:Depends},
         ${python3:Depends},
Recommends: khelpcenter
Description: classical Mah Jongg game
 This is the classical Mah Jongg for four players.
 If you are looking for the Mah Jongg solitaire please use the application
 kmahjongg.
 .
 This package is part of the KDE games module.

## kajongg 23.08.1

=== debian/changelog ===
kajongg (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:56:04 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev (>= 5.15.0~),
-               libkf5kmahjongglib-dev (>= 4:23.08.0~),
+               libkf5kmahjongglib-dev (>= 4:23.08.1~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),

## kajongg 23.08.4

=== debian/changelog ===
kajongg (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:12:19 +0000

kajongg (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:31:35 +0000

kajongg (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:27:55 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev (>= 5.15.0~),
-               libkf5kmahjongglib-dev (>= 4:23.08.1~),
+               libkf5kmahjongglib-dev (>= 4:23.08.4~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),

## kajongg 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,26 +2,26 @@
 cmake_minimum_required (VERSION 3.5)
 
 # Release Service version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kajongg VERSION ${RELEASE_SERVICE_VERSION})
 
 set(PYTHON_MIN_VERSION "3.5.0")
 set(QT_MIN_VERSION "5.2")
-set(KF5_MIN_VERSION "5.15.0")
+set(KF_MIN_VERSION "5.15.0")
 set(TWISTED_MIN_VERSION "16.6.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
     
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules ${ECM_MODULE_PATH})
 
 find_package(PythonInterp ${PYTHON_MIN_VERSION} REQUIRED)
 find_package(Twisted ${TWISTED_MIN_VERSION} REQUIRED)
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg Widgets)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config DocTools I18n)
+find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config DocTools I18n)
 
 include(FeatureSummary)
 include(KDEInstallDirs)

=== debian/changelog ===
kajongg (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:34:31 -0700

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5config-dev (>= 5.15.0~),
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev (>= 5.15.0~),
-               libkf5kmahjongglib-dev (>= 4:23.08.4~),
+               libkf5kmahjongglib-dev (>= 4:23.08.5~),
                libqt5svg5-dev (>= 5.2~),
                pkg-config,
                pkg-kde-tools (>= 0.14),
